Arbor 3: FSM & BT Graph Editor 3.6.0

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
Decorator Class Reference

CompositeNodeとActionNodeを装飾を定義するクラス。継承して利用する。 More...

Inheritance diagram for Decorator:

## Public Types
enum | Condition { None, Success, Failure }
| デコレータのコンディション More...

## Public Member Functions
virtual bool | HasConditionCheck ()
| It is judged whether Condition Check should be performed. More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| 内部用。 More...
DataSlotField | GetDataSlotField (int index)
| DataSlotFieldを取得する。 More...
DataSlotField | GetCalculatorSlotField (int index)
| DataSlotFieldを取得する。 More...
DataSlotField | GetDataSlotField (DataSlot slot)
| DataSlotFieldを取得する。 More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| DataSlotFieldを取得する。 More...
void | RebuildDataSlotFields ()
| DataSlotFieldを再構築する。 More...
void | RebuildCalculatorSlotFields ()
| DataSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...
void | UpdateDataLink ()
| 手動によるDataLinkの値更新。 DataLinkUpdateTiming.ManualのDataLinkフィールドの値を更新する。 More...

## Static Public Member Functions
static Decorator | Create (Node node, System.Type type)
| Decoratorを作成する。 More...
static Type | Create< Type > (Node node)
| Decoratorを作成する。 More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...

## Protected Member Functions
virtual bool | OnConditionCheck ()
| ConditionCheckを行う。 More...
virtual bool | OnFinishExecute (bool result)
| FinishExecuteのコールバック。 実行結果を変更できます。 More...
virtual bool | OnRepeatCheck ()
| 自ノードが終了した際に再度繰り返すかを判定するコールバック。 More...
Protected Member Functions inherited from TreeNodeBehaviour
sealed override void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
virtual void | OnAwake ()
| この関数は自ノードが初めてアクティブになったときに呼ばれる。 More...
virtual void | OnStart ()
| この関数は自ノードがアクティブになったときに呼ばれる。 More...
virtual void | OnAbort ()
| この関数は自ノードが中止されるときに呼ばれる。 More...
virtual void | OnEnd ()
| この関数は自ノードが終了したときに呼ばれる。 More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| MonoBehaviour.OnValidate を参照してください More...
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...
virtual void | OnGraphPause ()
| この関数はグラフが一時停止したときに呼ばれる。 More...
virtual void | OnGraphResume ()
| この関数はグラフが再開したときに呼ばれる。 More...
virtual void | OnGraphStop ()
| この関数はグラフが停止したときに呼ばれる。 More...

## Properties
bool | behaviourEnabled`[get, set]`
| Decoratorの有効状態を取得/設定。 More...
AbortFlags | abortFlags`[get]`
| 中止フラグ More...
bool | isRevaluation`[get]`
| 再評価を行うかを返す。 More...
Condition | currentCondition`[get]`
| 現在のコンディション More...
Properties inherited from TreeNodeBehaviour
BehaviourTreeInternal | behaviourTree`[get]`
| ビヘイビアツリーを取得。 More...
TreeNodeBase | treeNode`[get]`
| TreeNodeBaseを取得。 More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | dataSlotFieldCount`[get]`
| DataSlotFieldの個数 More...
int | calculatorSlotFieldCount`[get]`
| DataSlotFieldの個数 More...

## Additional Inherited Members
Public Attributes inherited from TreeNodeBehaviour
bool | expanded = true
| ArborEditorWindow上での開閉状態。 More...

## Detailed Description

CompositeNodeとActionNodeを装飾を定義するクラス。継承して利用する。

使用可能な属性 :

- AddBehaviourMenu
- HideBehaviour
- BehaviourTitle
- BehaviourHelp

## Member Enumeration Documentation

## ◆ Condition

enum Condition
| strong

デコレータのコンディション

Enumerator
None | コンディションなし
Success | 成功
Failure | 失敗

## Member Function Documentation

## ◆ Create()

static Decorator Create | ( | Node | node,
|  | System.Type | type
| ) |  |
| static

Decoratorを作成する。

Parameters

  node | Node
  type | Decoratorの型

Returns
  作成したDecorator。

## ◆ Create< Type >()

static Type Create< Type > | ( | Node | node | ) |
| static

Decoratorを作成する。

Template Parameters

  Type | Decoratorの型

Parameters

  node | Node

Returns
  作成したDecorator。

Type Constraints

  Type | : | Decorator |

## ◆ HasConditionCheck()

virtual bool HasConditionCheck | ( |  | ) |
| virtual

It is judged whether Condition Check should be performed.

It returns true by default. To invalidate, please override and return false.

Returns

## ◆ OnConditionCheck()

virtual bool OnConditionCheck | ( |  | ) |
| protected virtual

ConditionCheckを行う。

Returns
  条件に一致する場合はtrue、一致しなければfalseを返す。

## ◆ OnFinishExecute()

virtual bool OnFinishExecute | ( | bool | result | ) |
| protected virtual

FinishExecuteのコールバック。
実行結果を変更できます。

Parameters

  result | 実行結果。

Returns
  変更した結果。

## ◆ OnRepeatCheck()

virtual bool OnRepeatCheck | ( |  | ) |
| protected virtual

自ノードが終了した際に再度繰り返すかを判定するコールバック。

Returns
  繰り返す場合はtrue、しない場合はfalseを返す。

## Property Documentation

## ◆ abortFlags

AbortFlags abortFlags
| get

中止フラグ

## ◆ behaviourEnabled

bool behaviourEnabled
| get set

Decoratorの有効状態を取得/設定。

`true` 有効; その他、 `false`.

## ◆ currentCondition

Condition currentCondition
| get

現在のコンディション

## ◆ isRevaluation

bool isRevaluation
| get

再評価を行うかを返す。